%define pkgname		pangomm

%bcond_without doc

%define api		1.4
%define major		1

%define libname			%mklibname %{pkgname} %{api} %{major}
%define libnamedev		%mklibname %{pkgname} %{api} -d
%define libnamestaticdev	%mklibname %{pkgname} %{api} -d -s

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		%{pkgname}%{api}
Summary:	C++ interface for the pango library
Version:	2.46.4
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gtkmm.org/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairomm-1.0) >= 1.12.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.46.0
BuildRequires:	pkgconfig(pangocairo) >= 1.38.0
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n	%{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}pangomm2.4_1 < 2.40.1-2

%description -n	%{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pangomm2.4-devel < 2.40.1-2
Obsoletes:	%{_lib}pangomm1.4-static-devel < 2.42.2

%description -n	%{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	GTKmm documentation
Group:		Documentation

%description	doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson -Dbuild-documentation=%{?with_doc:true}%{?!with_doc:false}
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%doc NEWS README.md
%{_libdir}/libpangomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{api}/

%if %{with doc}
%files doc
%doc %{_datadir}/doc/pangomm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.46.4-2.mga10
+ Revision: 2234231
- Mageia 10 Mass Rebuild

* Wed Jan 22 2025 daviddavid <daviddavid> 2.46.4-1.mga10
+ Revision: 2140436
- new version 2.46.4

* Fri Dec 02 2022 daviddavid <daviddavid> 2.46.3-1.mga9
+ Revision: 1914053
- new version: 2.46.3
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.46.1-1.mga9
+ Revision: 1740153
- 2.46.1

* Sun Dec 13 2020 wally <wally> 2.42.2-1.mga8
+ Revision: 1656539
- drop static devel pkg
+ ovitters <ovitters>
- new version 2.42.2

* Sat Mar 21 2020 ovitters <ovitters> 2.42.1-1.mga8
+ Revision: 1558577
- new version 2.42.1

* Fri Feb 14 2020 umeabot <umeabot> 2.42.0-2.mga8
+ Revision: 1521721
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.42.0-1.mga7
+ Revision: 1346564
- 2.42.0

* Mon Nov 05 2018 ovitters <ovitters> 2.40.2-1.mga7
+ Revision: 1328548
- new version 2.40.2

* Sun Sep 23 2018 umeabot <umeabot> 2.40.1-3.mga7
+ Revision: 1300105
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 wally <wally> 2.40.1-2.mga7
+ Revision: 1148206
- fork as pangomm1.4

* Fri Sep 09 2016 luigiwalser <luigiwalser> 2.40.1-1.mga6
+ Revision: 1051183
- 2.40.1

* Mon Mar 28 2016 ovitters <ovitters> 2.40.0-1.mga6
+ Revision: 995883
- new version 2.40.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 29 2015 ovitters <ovitters> 2.39.1-1.mga6
+ Revision: 907231
- new version 2.39.1

* Thu Sep 24 2015 tv <tv> 2.38.1-1.mga6
+ Revision: 882978
- new release
+ fwang <fwang>
- fix br

* Thu Sep 24 2015 tv <tv> 2.38.0-1.mga6
+ Revision: 882876
- new release

* Thu Sep 03 2015 ovitters <ovitters> 2.37.2-1.mga6
+ Revision: 872567
- new version 2.37.2

* Mon Aug 24 2015 wally <wally> 2.37.1-2.mga6
+ Revision: 868996
- rebuild for new gcc 5

* Wed Jul 22 2015 ovitters <ovitters> 2.37.1-1.mga6
+ Revision: 856181
- new version 2.37.1

* Mon Jun 22 2015 ovitters <ovitters> 2.36.0-1.mga6
+ Revision: 839674
- new version 2.36.0

* Wed Oct 15 2014 umeabot <umeabot> 2.34.0-4.mga5
+ Revision: 748797
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.34.0-3.mga5
+ Revision: 683329
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.34.0-2.mga4
+ Revision: 525285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 dams <dams> 2.34.0-1.mga4
+ Revision: 432905
- new version 2.34.0

* Sun Jan 13 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 362383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 shlomif <shlomif> 2.28.4-2.mga3
+ Revision: 304340
- Update to a new group per RPMGroupRevamp

* Fri Oct 28 2011 wally <wally> 2.28.4-1.mga2
+ Revision: 159119
- new version 2.28.4

* Tue Sep 27 2011 wally <wally> 2.28.3-1.mga2
+ Revision: 149419
- new version 2.28.3
- clean .spec a bit
+ fwang <fwang>
- do not ship .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.28.2-1.mga1
+ Revision: 85615
- update to 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.26.3-3.mga1
+ Revision: 8814
- drop old/unneeded scriptlets
- imported package pangomm

